<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<html xmlns="http://www.w3.org/1999/xhtml">  
<head>  
    <title></title>  
    <script src="JS/jquery-1.8.0.min.js" type="text/javascript"></script>  
    <script type="text/javascript">  
     $(function () {  
         $.ajax({  
             url: "{pigcms::U('index',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}",  
             type: 'POST',  
             dataType: 'json',  
             timeout: 1000,  
             cache: false,  
             beforeSend: LoadFunction, //加载执行方法    
             error: erryFunction,  //错误执行方法    
             success: succFunction //成功执行方法    
         })  
         function LoadFunction() {  
             $("#list").html('加载中...');  
         }  
         function erryFunction() {  
             alert("error");  
         }  
         function succFunction(tt) {  
             $("#list").html('');  
  
             //eval将字符串转成对象数组  
             //var json = { "id": "10086", "uname": "zhangsan", "email": "zhangsan@qq.com" };  
             //json = eval(json);  
             //alert("===json:id=" + json.id + ",uname=" + json.uname + ",email=" + json.email);  
  
             var json = eval(tt); //数组         
             $.each(json, function (index, item) {  
                 //循环获取数据    
                 var name = json[index].Name;  
                 var idnumber = json[index].IdNumber;  
                 var sex = json[index].Sex;  
                 $("#list").html($("#list").html() + "<br>" + name + " - " + idnumber + " - " + sex + "<br/>");  
             });  
         }  
     });  
	 
	 function loadInfo() {
    $.getJSON("loadInfo", function(data) {
        $("#info").html("");//清空info内容
        $.each(data.comments, function(i, item) {
            $("#info").append(
                    "<div>" + item.id + "</div>" + 
                    "<div>" + item.nickname    + "</div>" +
                    "<div>" + item.content + "</div><hr/>");
        });
        });
}


function loadInfo2() {
    $.getJSON("loadInfo", function(data) {
        $("#title").append(data.title+"<hr/>");
        $("#content").append(data.content+"<hr/>");
        //jquery解析map数据
        $.each(data.infomap,function(key,value){
            $("#mapinfo").append(key+"----"+value+"<br/><hr/>");
        });
        //解析数组
        $.each(data.comments, function(i, item) {
            $("#info").append(
                    "<div>" + item.id + "</div>" + 
                    "<div>" + item.nickname    + "</div>" +
                    "<div>" + item.content + "</div><hr/>");
        });
        });
}
$.ajax
  (
  {
   type: "POST",
   url: "Handler.ashx?method=getlist",
   async: false,//true表示异步 false表示同步
   contentType: "application/json",
   dataType: 'json',
   success: function(result) {
   var temp=eval(result);
   //通过javascript来解析返回数组字符串
   for (var i = 0; i < temp.length; i++) 
   { 
    o.innerHTML += "项目名称:" + result[i].ProName + "<br/>网址:<a href=" + result[i].url + " mce_href=" + result[i].url + " target='_blank'>" + result[i].url + "</a><br/>";
    datas += "项目名称:" + result[i].ProName + "<br/>网址:<a href=" + result[i].url + " mce_href=" + result[i].url + " target='_blank'>" + result[i].url + "</a><br/>";
   }
    TINY.box.show(datas, 0, 0, 0, 1);
   }
});
	 
	 
    </script>  
    
    
    
  <script>
function test(){
	var count=$("#count").val();
$.ajax({
		type:"POST",
		url:"{pigcms::U('index',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}",
		dataType:"json",
		data:"testParam="+count,
		success:function(rs){
			　　//var users = rs.data;
			  var users  = [{ ID: 'think8848', Name: 'Joseph Chan', Num: '1', Status: 1 }, { ID: 'aCloud', Name: 'Mary Cheung', Num: '2'}];
　			　$("#demo").tmpl(users).appendTo('#div_demo');
		},
		error:function(){
			
			alert('无法连接到服务器！');
		}
	});
}




</script>
</head>  
<body>  
<?php
 if(IS_POST){
            //$param['testParam']=$this->_post('testParam');
            $return=$this->getRpcData('msCourse/getCompetenceFields');
            echo json_encode($return);
        }else{
            $return=$this->getRpcData('fistTest/mytest');
			//var_dump($return);
			if($return['errorCode']==0){
            $this->assign('data',$return['data']);
			}else{
					$msg = $return['errorMassage'];
					$this->assign('error',$msg);
				}
            $this->display();
        }

?>


    <ul id="list">  
    </ul>  
    
    
  <script id="demo" type="text/x-jquery-tmpl">
    <div style="margin-bottom:10px;">
    　　<span>${ID}</span>
    　　<span style="margin-left:10px;">{{= Name}}</span>
    　　<span style="margin-left:10px;">${Number(Num)+1}</span>
    　　<span style="margin-left:10px;">${Status}</span>
    </div>
</script>

<script type="text/javascript">
　　var users = [{ ID: 'think8848', Name: 'Joseph Chan', Num: '1', Status: 1 }, { ID: 'aCloud', Name: 'Mary Cheung', Num: '2'}];
　　$("#demo").tmpl(users).appendTo('#div_demo');
</script>
</body>  
</html>  